# log4cplus::helpers::AbstractSocket Class Reference

`#include <socket.h>`

Inheritance diagram for log4cplus::helpers::AbstractSocket:

[legend]
List of all members.

## Public Member Functions

| AbstractSocket ()
| AbstractSocket (SOCKET_TYPE sock, SocketState state, int err)
| AbstractSocket (const AbstractSocket &)
virtual | ~AbstractSocket ()=0
virtual void | close ()
| Close socket.
virtual bool | isOpen () const
AbstractSocket & | operator= (const AbstractSocket &rhs)

## Protected Member Functions

virtual void | copy (const AbstractSocket &rhs)

## Protected Attributes

SOCKET_TYPE | sock
SocketState | state
int | err

## Constructor & Destructor Documentation

log4cplus::helpers::AbstractSocket::AbstractSocket | ( |  | ) |

log4cplus::helpers::AbstractSocket::AbstractSocket | ( | SOCKET_TYPE | sock,
|  | SocketState | state,
|  | int | err
| ) |

log4cplus::helpers::AbstractSocket::AbstractSocket | ( | const AbstractSocket & |  | ) |

virtual log4cplus::helpers::AbstractSocket::~AbstractSocket | ( |  | ) | `[pure virtual]`

## Member Function Documentation

virtual void log4cplus::helpers::AbstractSocket::close | ( |  | ) | `[virtual]`

| Close socket.

virtual void log4cplus::helpers::AbstractSocket::copy | ( | const AbstractSocket & | rhs | ) | `[protected, virtual]`

virtual bool log4cplus::helpers::AbstractSocket::isOpen | ( |  | ) | const`[virtual]`

AbstractSocket& log4cplus::helpers::AbstractSocket::operator= | ( | const AbstractSocket & | rhs | ) |

## Member Data Documentation

int log4cplus::helpers::AbstractSocket::err`[protected]`

| Definition at line 67 of file socket.h.

SOCKET_TYPE log4cplus::helpers::AbstractSocket::sock`[protected]`

| Definition at line 65 of file socket.h.

SocketState log4cplus::helpers::AbstractSocket::state`[protected]`

| Definition at line 66 of file socket.h.

The documentation for this class was generated from the following file:

- socket.h